import React from 'react';
import {
  TextField,
  Button,
  Dialog,
  DialogTitle,
  DialogActions,
  DialogContent, 
  makeStyles
} from '@material-ui/core';
import { Alert } from "@material-ui/lab";

const useStyles = makeStyles((theme) => ({
  textField: {
    marginBottom: theme.spacing(1),
  },
}));

export default function Login({ auth, open, setOpen, error, resetError }) {
  const classes = useStyles();

  const handleClose = () => {
    setOpen(false);
  };

  const onSubmit = async (event) => {
    event.preventDefault();
    const username = document.getElementById('username').value;
    const password = document.getElementById('password').value;
    await auth(username, password);
  }

  return (
    <Dialog open={open}>
      <form>
        <DialogTitle id="form-dialog-title">Login</DialogTitle>
        <DialogContent>
          <TextField id="username" className={classes.textField} label="Username" variant="filled" onChange={resetError} fullWidth autoFocus required />
          <TextField id="password" className={classes.textField} label="Password" variant="filled" type="password" onChange={resetError} fullWidth required />
          {error ?
            <Alert severity="error">{error}</Alert>
          : <></>}
        </DialogContent>
        <DialogActions>
          <Button onClick={handleClose} color="primary">Cancel</Button>
          <Button variant="contained" color="primary" onClick={onSubmit} type="submit">Login</Button>
        </DialogActions>
      </form>
    </Dialog>
  );
}