import React from 'react';
import { Person, ScheduleOutlined, RotateRightOutlined, CheckCircleOutline } from "@material-ui/icons";
import { StepperWithStyle } from "../common/stepper/StepperWithStyle";

export function DeploymentStepper(props) {
  let { activeStep, deploymentStatus, deploymentStart, undeployment } = props;

  const icons = {
    1: <Person />,
    2: <ScheduleOutlined />,
    3: <RotateRightOutlined />,
    4: <CheckCircleOutline />,
  };

  const steps = undeployment 
    ? ['Creating Undeployment', 'Undeployment Queued ', 'Running Undeployment', 'Undeployment Completed'] 
    : ['Creating Deployment', 'Deployment Queued ', 'Running Deployment', 'Deployment Completed'];

  const isStepFailed = (step) => {
    if (deploymentStatus === "FAILED") {
      return step === activeStep;
    }
    return false;
  };

  if (deploymentStatus === "FAILED") {
    activeStep = deploymentStart ? 2 : 1;
  }
  
  activeStep = activeStep === 3 ? 4 : activeStep;

  return (
    <StepperWithStyle steps={steps} activeStep={activeStep} isStepFailed={isStepFailed} icons={icons}/>
  );
}