import React from 'react';
import { RootContainer } from "../../components/common/Container/RootContainer";
import AccessControl from "../../components/auth/AccessControl";
import { DeploymentDetailsView } from "./DeploymentDetailsView";
import { useGlobalAppBar } from '../../components/navigation/GlobalAppBar/GlobalAppBar';

export function DeploymentDetailsAccessControl({ match }) {
  const id = parseInt(match.params.id);
  useGlobalAppBar("Deployment Details");

  return (
    <RootContainer>
      <AccessControl allowedRoles={["DeploymentToolAdmin", "DeploymentToolIntegrator"]}>
        <DeploymentDetailsView id={id}/>
      </AccessControl>
    </RootContainer>
  );
}