import React from 'react';
import { IconButton, Paper } from '@material-ui/core';
import { DeploymentDetails } from "../../components/deployments/DeploymentDetails";
import { useDeployment } from '../../api/SwaggerApi';
import ArrowBackIcon from '@material-ui/icons/ArrowBack';
import { useHistory } from "react-router-dom";

export function DeploymentDetailsView({ id }) {
  const [deployment, getDeployment] = useDeployment(id);
  const history = useHistory();
  
  console.log(deployment);

  const handleClick = () => {
    history.goBack();
  };

  return (
    <Paper>
      <IconButton color="inherit" onClick={handleClick}>
          <ArrowBackIcon />
      </IconButton>
      {deployment && <DeploymentDetails deployment={deployment} getDeployment={getDeployment} onDeploymentStart={()=>{}} startButtonDisabled={true} />}
    </Paper>
  );
}
